﻿@model MvcWebsiteOcc.Areas.administrators.Models.Album

@{
    ViewBag.Title = "Thư viện ảnh";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    MvcWebsiteOcc.Areas.administrators.Models.Album linkObj = ViewBag.LinkObj;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/news_manager/albums_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                <ul class="nav nav-tabs  tabs-flat">
                                    <li class="active"><a data-toggle="tab" href="#info" aria-expanded="false">Thông tin chung</a>

                                    </li>
                                    @*<li class=""><a data-toggle="tab" href="#seo" aria-expanded="false">
                                        SEO</a>
                                    </li>*@
                                </ul>
                                <div class="tab-content  tabs-flat">
                                    <div class="tab-pane active" id="info">
                                        <div id="registration-form">
                                            <div class="row">
                                                <div class="tabbable col-lg-7 col-sm-7 col-xs-12">
                                                    <div class="form-title">
                                                        Cơ bản
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.AlbumName)</label>
                                                        @{if (linkObj != null)
                                                          {
                                                            @Html.TextBoxFor(p => p.AlbumName, new { @class = "form-control", Value = linkObj.AlbumName })
                                                          }
                                                          else
                                                          {
                                                            @Html.TextBoxFor(p => p.AlbumName, new { @class = "form-control" })
                                                          }}
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.AlbumName)</span>
                                                    </div>


                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Description)</label>
                                                        @Html.TextAreaFor(p => p.Description, new { @class = "form-control summernote textAuto" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Description)</span>
                                                    </div>
                                                </div>
                                                <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                                    <div class="form-title">
                                                        Ngôn ngữ
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                <select class="select" name="Lang_ID" id="Lang_ID" style="width: 100%">
                                                                    @{foreach (var lang in langs)
                                                                      {
                                                                          if (linkObj != null && linkObj.Lang_ID > 0)
                                                                          {
                                                                              if (ViewBag.LangAdd == lang.Lang_ID)
                                                                              {
                                                                       
                                                                        <option value="@lang.Lang_ID" selected="selected">@lang.Lang_Name</option>
                                                                              }
                                                                              else
                                                                              {
                                                                        <option value="@lang.Lang_ID" disabled="disabled">@lang.Lang_Name</option> 
                                                                              }
                                                                          }
                                                                          else
                                                                          {
                                                                              if (lang.IsDefault == true)
                                                                              {
                                                                        <option value="@lang.Lang_ID" selected="selected">@lang.Lang_Name</option> 
                                                                              }
                                                                              else
                                                                              {
                                                                        <option value="@lang.Lang_ID" >@lang.Lang_Name</option>
                                                                              }
                                                                          }
                                                                      }
                                                                    }

                                                                </select>


                                                            </div>
                                                        </div>
                                                    </div>
                                                    @if (linkObj != null)
                                                    {
                                                        <div class="form-title">
                                                            Liên kết
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">
                                                                    <img src="/Uploaded/images/language/@linkObj.Language.Lang_Flag">
                                                                </span>
                                                                @* <span class="input-group-btn">
                                                                <button class="btn" type="button">Go</button>

                                                            </span>*@
                                                                <input type="hidden" name="LinkID" value="@linkObj.AlbumID" />
                                                                 @Html.TextBox("linkName", linkObj.AlbumName, new { @class = "form-control", @readonly = "readonly" })
                                                                @*<img class="slogan_img form-control" src="/Uploaded/Images/Advs/@linkObj.AdvImage">*@
                                                            </div>
                                                        </div>
                                                    }

                                                     <div class="form-title">
                                                       Nhóm Album
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block warning">@ViewBag.CateError</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div id="dvCategoryResults1">
                                                                @{if (linkObj != null)
                                                                  {
                                                                      Html.RenderAction("_album_albumcate_add", "news_manager", new { langID = ViewBag.LangAdd, linkCateID = linkObj.AlCateID });
                                                                  }
                                                                  else
                                                                  {
                                                                      Html.RenderAction("_album_albumcate_add", "news_manager");
                                                                  }}

                                                            </div>
                                                            <span class="help-block warning">@Html.ValidationMessageFor(p => p.EventID)</span>
                                                        </div>

                                                    </div>
                                                         <div class="form-title">
                                                        Sự kiện
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block warning">@ViewBag.CateError</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div id="dvCategoryResults">
                                                                @{if (linkObj != null)
                                                                  {
                                                                      Html.RenderAction("_events_album_add", "news_manager", new { langID = ViewBag.LangAdd, linkCateID = linkObj.EventID });
                                                                  }
                                                                  else
                                                                  {
                                                                      Html.RenderAction("_events_album_add", "news_manager");
                                                                  }}

                                                            </div>
                                                            <span class="help-block warning">@Html.ValidationMessageFor(p => p.EventID)</span>
                                                        </div>

                                                    </div>

                                                    <div class="form-title">
                                                        Ảnh
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                                            <span class="help-block warning">@ViewBag.Mess</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label>Ảnh đại diện</label>

                                                                @(Html.Kendo().Upload()
                                                        .Name("file_image")
                                                        .TemplateId("fileTemplate")
                                                        .Events(events => events.Select("onSelect"))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Multiple(false)
                                                        .HtmlAttributes(new { accept = "image/*" })
                                                       )

                                                                <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                    <span class='k-progress'></span>
                                                                    <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                                            <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                        </button>
                                                                    </strong>

                                                                </script>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label>Ảnh trong Album</label>

                                                                @(Html.Kendo().Upload()
                                                        .Name("file_images")
                                                        .TemplateId("fileTemplate")
                                                        .Events(events => events.Select("onSelect"))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Multiple(true)
                                                        .HtmlAttributes(new { accept = "image/*" })
                                                       )

                                                                @*<script id="fileTemplate" type="text/x-kendo-template">
    
                                                                    <span class='k-progress'></span>
                                                                    <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                                            <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                        </button>
                                                                    </strong>

                                                                </script>*@
                                                            </div>
                                                        </div>

                                                    </div>
                                                    <div class="form-title">
                                                        Trạng thái
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">

                                                                <div class="checkbox">
                                                                    <label>
                                                                        <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" checked="checked" />
                                                                        <input type="hidden" value="false" /><span class="text">Hiển trị</span></label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="widget-header header-large" style="display: block;">
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/news_manager/albums_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>
    function onSelectFile(e) {
        var files = e.files;
        $.each(files, function () {
            if (this.extension.toLowerCase() != ".xml") {
                $('#modal-warning-xml').modal('show')
                e.preventDefault();
            }
        });
    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
                return false;
            }
            return true;
        });
        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>
<div class="modal fade modal-message modal-warning" id="modal-warning-xml" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .xml !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .gif, .jpeg, .jpg, .png !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>
@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <!--Bootstrap Date Range Picker-->
    <script src="/Static/admin//assets/js/datetime/moment.js"></script>
    <script src="/Static/admin//assets/js/datetime/daterangepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <script>

        //--Bootstrap Date Range Picker--
        $('.date-range').daterangepicker();

        $('.textAuto').autosize({ append: "\n" });

        $(document).ready(function () {
            $("#news").addClass("active open");
            $("#advs").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/news_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });
    </script>

}